org.eclipse.compare.patch

## Interface IHunkFilter

    public interface IHunkFilter

Filter that is used to determine if a hunk should be applied or not

Since:
  org.eclipse.compare.core 3.5

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `select(IHunk hunk)` Returns true if the given hunk should be applied

### Method Detail

#### select

    boolean select(IHunk hunk)

Returns true if the given hunk should be applied

Parameters:
  `hunk` - the hunk
Returns:
  true if the given hunk should be applied